import std.stdio;

void testing(T...)(T values)
{
    writeln("Переданных аргументов: ", values.length, ".");
    // Обращение к каждому индексу и каждому значению
    foreach (i, value; values)
    {
        writeln(i, ": ", typeid(T[i]), " ", value);
    }
}

void main()
{
    testing(5, "здравствуй", 4.2);
}
